package com.steering.pss.sale.base;

/**
 * 数据库表SLM_BASE_RECEIV_UNIT所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-DG6B81Q   date 2015-11-10
 */
@SuppressWarnings("serial")
public class SlmBaseReceivUnitEntity implements java.io.Serializable {
    /**
     * 客户编码
     */
    private String customerNo = "";
    /**
     * 销售组织(国贸/钢贸/销售公司)
     */
    private String saleOrg = "";
    /**
     * 用途类型(订货单位/结算单位/最终用户/收货单位)
     */
    private String custmUse = "";
    /**
     * 省市/区域
     */
    private String regionNo = "";
    /**
     * 地址
     */
    private String address = "";
    /**
     * 收货人姓名
     */
    private String consignee = "";
    /**
     * 联系电话
     */
    private String phone = "";
    /**
     * 邮编
     */
    private String zipCode = "";
    /**
     * 传真
     */
    private String fax = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";

    /**
     * 客户编码
     * @return value
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * 客户编码
     * @param customerNo value
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @return value
     */
    public String getSaleOrg() {
        return saleOrg;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @param saleOrg value
     */
    public void setSaleOrg(String saleOrg) {
        this.saleOrg = saleOrg;
    }

    /**
     * 用途类型(订货单位/结算单位/最终用户/收货单位)
     * @return value
     */
    public String getCustmUse() {
        return custmUse;
    }

    /**
     * 用途类型(订货单位/结算单位/最终用户/收货单位)
     * @param custmUse value
     */
    public void setCustmUse(String custmUse) {
        this.custmUse = custmUse;
    }

    /**
     * 省市/区域
     * @return value
     */
    public String getRegionNo() {
        return regionNo;
    }

    /**
     * 省市/区域
     * @param regionNo value
     */
    public void setRegionNo(String regionNo) {
        this.regionNo = regionNo;
    }

    /**
     * 地址
     * @return value
     */
    public String getAddress() {
        return address;
    }

    /**
     * 地址
     * @param address value
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 收货人姓名
     * @return value
     */
    public String getConsignee() {
        return consignee;
    }

    /**
     * 收货人姓名
     * @param consignee value
     */
    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    /**
     * 联系电话
     * @return value
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 联系电话
     * @param phone value
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 邮编
     * @return value
     */
    public String getZipCode() {
        return zipCode;
    }

    /**
     * 邮编
     * @param zipCode value
     */
    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    /**
     * 传真
     * @return value
     */
    public String getFax() {
        return fax;
    }

    /**
     * 传真
     * @param fax value
     */
    public void setFax(String fax) {
        this.fax = fax;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}